<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions targetNamespace="http://hcl.com" xmlns:apachesoap="http://xml.apache.org/xml-soap" xmlns:impl="http://hcl.com" xmlns:intf="http://hcl.com" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:wsdlsoap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
<!--WSDL created by Apache Axis version: 1.4
Built on Apr 22, 2006 (06:55:48 PDT)-->
 <wsdl:types>
  <schema elementFormDefault="qualified" targetNamespace="http://hcl.com" xmlns="http://www.w3.org/2001/XMLSchema">
   <element name="add">
    <complexType>
     <sequence>
      <element name="a" type="xsd:int"/>
      <element name="b" type="xsd:int"/>
     </sequence>
    </complexType>
   </element>
   <element name="addResponse">
    <complexType>
     <sequence>
      <element name="addReturn" type="xsd:int"/>
     </sequence>
    </complexType>
   </element>
   <element name="hai">
    <complexType/>
   </element>
   <element name="haiResponse">
    <complexType>
     <sequence>
      <element name="haiReturn" type="xsd:string"/>
     </sequence>
    </complexType>
   </element>
  </schema>
 </wsdl:types>

   <wsdl:message name="addRequest">

      <wsdl:part element="impl:add" name="parameters">

      </wsdl:part>

   </wsdl:message>

   <wsdl:message name="addResponse">

      <wsdl:part element="impl:addResponse" name="parameters">

      </wsdl:part>

   </wsdl:message>

   <wsdl:message name="haiRequest">

      <wsdl:part element="impl:hai" name="parameters">

      </wsdl:part>

   </wsdl:message>

   <wsdl:message name="haiResponse">

      <wsdl:part element="impl:haiResponse" name="parameters">

      </wsdl:part>

   </wsdl:message>

   <wsdl:portType name="First">

      <wsdl:operation name="add">

         <wsdl:input message="impl:addRequest" name="addRequest">

       </wsdl:input>

         <wsdl:output message="impl:addResponse" name="addResponse">

       </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="hai">

         <wsdl:input message="impl:haiRequest" name="haiRequest">

       </wsdl:input>

         <wsdl:output message="impl:haiResponse" name="haiResponse">

       </wsdl:output>

      </wsdl:operation>

   </wsdl:portType>

   <wsdl:binding name="FirstSoapBinding" type="impl:First">

      <wsdlsoap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>

      <wsdl:operation name="add">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="addRequest">

            <wsdlsoap:body use="literal"/>

         </wsdl:input>

         <wsdl:output name="addResponse">

            <wsdlsoap:body use="literal"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="hai">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="haiRequest">

            <wsdlsoap:body use="literal"/>

         </wsdl:input>

         <wsdl:output name="haiResponse">

            <wsdlsoap:body use="literal"/>

         </wsdl:output>

      </wsdl:operation>

   </wsdl:binding>

   <wsdl:service name="FirstService">

      <wsdl:port binding="impl:FirstSoapBinding" name="First">

         <wsdlsoap:address location="http://localhost:8759/WebServiceProject/services/First"/>

      </wsdl:port>

   </wsdl:service>

</wsdl:definitions>
